API Documentation
Browse the docs
Publish a custom tool version
POST
/api/custom-tools/{name}/publishPublish a completed version.
By default this publishes the latest completed version. Pass version=v2 to publish or roll back to a specific completed version.
Python SDK equivalent
build.version.publish()Parameters
namepathrequiredThe custom tool name.
versionqueryoptionalHTTP Response Status Codes
| Status code | Description |
|---|---|
| 200 | The Tool with its published version updated. |
| 401 | API key missing or invalid. |
| 404 | The addressed resource does not exist, or is not visible to your tenant. |
| 412 | A supplied request condition did not match the current resource. Fetch the resource again before retrying. |
| 422 | The request was malformed or failed validation; see errors for the offending fields. |
1import requests
2
3api_key = "insert-api-key-here"
4url = "https://app.tamarind.bio/api/custom-tools/your-name/publish"
5headers = {"x-api-key": api_key}
6
7resp = requests.post(url, headers=headers)
8print(resp.status_code, resp.json())Response
1{
2 "autoPublish": false,
3 "canBuild": false,
4 "canEdit": false,
5 "cpu": 0,
6 "createdAt": "string",
7 "defaultVersion": "string",
8 "description": "string",
9 "displayName": "string",
10 "estTime": "string",
11 "functions": [
12 "string"
13 ],
14 "gpuType": "None",
15 "hasSource": false,
16 "homeDiskGi": 0,
17 "maxRuntimeSeconds": 0,
18 "memory": "8Gi",
19 "name": "string",
20 "paperUrl": "string",
21 "published": false,
22 "status": "Draft",
23 "tags": [
24 "string"
25 ],
26 "updatedAt": "string"
27}